formatChromosome.BigBang {galgo} | R Documentation

## Converts chromosome for storage in BigBang object

### Description

Converts chromosome for storage in BigBang object. The default behaviour is convert the chromosome in a numeric format instead of the original Chromosome object to save memory and time during further calls to saveObject and loadObject methods.

### Usage

    ## S3 method for class 'BigBang'
    formatChromosome(.bbO, chr, ...)

### Arguments

`chr` | Chromosome to format

### Value

Object to be stored in $bestChromosomes variable in BigBang object.

### Author(s)

Victor Trevino. Francesco Falciani Group. University of Birmingham, U.K. http://www.bip.bham.ac.uk/bioinf

### References

Goldberg, David E. 1989 Genetic Algorithms in Search, Optimization and Machine Learning. Addison-Wesley Pub. Co. ISBN: 0201157675

### See Also

For more information see `BigBang`. `saveObject.BigBang`, `loadObject`.

[Package galgo version 1.4 Index]